Intel® MPI Library System Requirements

Version: 2021.7   Published: 10/27/2021  

Last Updated: 09/29/2022

Introduction

This document provides details about hardware, operating system, and software prerequisites for the Intel® MPI Library.

Hardware Requirements

  • Systems based on the Intel® 64 architecture, in particular:
    • Intel® Core™ processor family or higher
    • Intel® Xeon® Scalable processor family is recommended
  • 1 GB of RAM per core (2 GB recommended)
  • 1 GB of free hard disk space
  • Intel® Xeon Phi™ Processor (formerly Knights Landing) based on Intel® Many Integrated Core Architecture

Supported Accelerators 

Integrated GEN9 or higher GPUs including latest Intel® Iris® Xe MAX graphics.

Drivers and Libraries

oneAPI Level-Zero API 1.0.

Software Requirements

Intel® oneAPI 2022.3 is validated on Windows and Linux.

  • Windows Intel® Graphics Driver, see this article for instructions to download and install.
  • Linux General Purpose Intel GPUs (GPGPU) Driver, see this article. Click the one labeled 20220830 for instructions to download and install. 

Linux* OS

  • Red Hat* Enterprise Linux* 7, 8
  • Fedora* 31
  • CentOS* 7, 8
  • SUSE* Linux Enterprise Server* 12, 15
  • Ubuntu* LTS 16.04, 18.04, 20.04
  • Debian* 9, 10
  • Amazon Linux 2

Compilers

  • GNU*: C, C++, Fortran 77 3.3 or newer, Fortran 95 4.8.0 or newer
  • Intel® C++/Fortran Compiler 17.0 or newer

Debuggers

  • Rogue Wave* Software TotalView* 6.8 or newer
  • Allinea* DDT* 1.9.2 or newer
  • GNU* Debuggers 7.4 or newer

Batch Systems

  • Platform* LSF* 6.1 or newer
  • Altair* PBS Pro* 7.1 or newer
  • Torque* 1.2.0 or newer
  • Parallelnavi* NQS* V2.0L10 or newer
  • NetBatch* v6.x or newer
  • SLURM* 1.2.21 or newer
  • Univa* Grid Engine* 6.1 or newer
  • IBM* LoadLeveler* 4.1.1.5 or newer
  • Platform* Lava* 1.0

Fabric Software

  • Intel® Omni-Path Software 10.5 or later: https://downloadcenter.intel.com/product/92003/Intel-Omni-Path-Host-Fabric-Interface-Products
  • Open Fabric Interface (OFI): https://github.com/ofiwg/libfabric or ${I_MPI_ROOT}/libfabric/src.tgz 
  • Minimum: OFI 1.5.0 (OFI/verbs provider is unstable) 
  • Recommended: the latest OFI "main" branch

Build and install instructions: https://software.intel.com/en-us/articles/a-bkm-for-working-with-libfabric-on-a-cluster-system-when-using-intel-mpi-library

Supported Languages

  • For GNU* compilers: C, C++, Fortran 77, Fortran 95
  • For Intel® compilers: C, C++, Fortran 77, Fortran 90, Fortran 95, Fortran 2008

Clustered File Systems

  • IBM Spectrum Scale* (GPFS*)
  • LustreFS*
  • PanFS*
  • NFS* v3 or newer

Windows* OS

  • Microsoft* Windows* 7 (deprecated), 10
  • Microsoft* Windows* Server 2012 (deprecated), 2012 R2 (deprecated), 2016, 2019

(SDK only) Compilers

  • Intel® C++/Fortran Compiler 17.0 or newer
  • Microsoft* Visual Studio* Compilers 2013 (deprecated), 2015 (deprecated), 2017 (deprecated), 2020

Batch systems

  • Microsoft* Job Scheduler
  • Altair* PBS Pro* 9.2 or newer

Fabric software

  • Intel® Omni-Path Software 10.5 or later: https://downloadcenter.intel.com/product/92003/Intel-Omni-Path-Host-Fabric-Interface-Products
  • Open Fabric Interface (OFI): https://github.com/ofiwg/libfabric or ${I_MPI_ROOT}/libfabric/src.tgz
  • Minimum: OFI 1.5.0 (OFI/verbs provider is unstable)
  • Recommended: the latest OFI "main" branch

Build and install instructions: https://software.intel.com/en-us/articles/a-bkm-for-working-with-libfabric-on-a-cluster-system-when-using-intel-mpi-library

Supported languages

  • For GNU* compilers: C, C++, Fortran 77, Fortran 95
  • For Intel® compilers: C, C++, Fortran 77, Fortran 90, Fortran 95

Notices and disclaimers

Operation Systems Deprecation Notice

These operating systems are deprecated in Intel oneAPI 2022.1 release, and will be removed in a future release:

  • Windows Server 2016*
  • Red Hat* Enterprise Linux 7
  • SUSE Linux Enterprise Server* 15 SP2
  • Ubuntu* 18.04 LTS
  • CentOS* 7
  • Fedora 34
  • Fedora 35
  • Clear Linux*
  • Yocto
  • macOS* 11

As announced previously, Windows driver support of integrated graphics processors included with 6th - 10th Gen Intel Core Processor and related Intel Atom®, Pentium®, and Celeron® processors is deprecated and has moved to maintenance mode. Only security and critical bug fixes will be updated.

Known Issues

  • Intel® oneAPI Toolkits 2022.1.3 and earlier and Intel® Parallel Studio XE (any version) do not support Microsoft Visual Studio 2022. On systems with Microsoft Visual Studio 2022 installed, Intel® oneAPI and Intel® Parallel Studio XE installers may fail during installation, upgrade, modification, or uninstallation. Refer to this article for more information.

oneAPI tools using existing integrated graphics processor functionality in the aforementioned processors may continue to work, but will no longer be supported. Note that CPU functionality for these processors remains fully supported and unaffected.

Intel technologies may require enabled hardware, software or service activation.

No product or component can be absolutely secure.

Your costs and results may vary.

© Intel Corporation. Intel, the Intel logo, and other Intel marks are trademarks of Intel Corporation or its subsidiaries. Other names and brands may be claimed as the property of others.

No license (express or implied, by estoppel or otherwise) to any intellectual property rights is granted by this document.

The products described may contain design defects or errors known as errata which may cause the product to deviate from published specifications. Current characterized errata are available on request.

Intel disclaims all express and implied warranties, including without limitation, the implied warranties of merchantability, fitness for a particular purpose, and non-infringement, as well as any warranty arising from course of performance, course of dealing, or usage in trade.

Product and Performance Information

1

Performance varies by use, configuration and other factors. Learn more at www.Intel.com/PerformanceIndex.